Public Class 下拉清單_2
    Dim 頁數, 總頁數, F1, F2, F3, F4, F5, F6, F7, F8 As Integer
    Dim 有選擇 As Boolean
    Dim EER As String
    Private Sub 下拉清單_2_Load(sender As Object, e As EventArgs) Handles MyBase.Load
        '--目前設定PPBB最長3000格------
    End Sub
    Private Sub 下拉清單_1_Shown(sender As Object, e As EventArgs) Handles MyBase.Shown
        EER = "選取的位置沒有資料!!" : 有選擇 = False
        ListBox1.Items.Clear()
        If NN1 <= 24 Then : For I As Integer = F1 To NN1 : ListBox1.Items.Add(PPBB(I)) : Next : ElseIf NN1 > 24 Then : MsgBox("資料大於24筆，請告知系統管理員!!") : End If
    End Sub
    Private Sub 下拉清單_1_Closed(sender As Object, e As EventArgs) Handles MyBase.Closed
        If 有選擇 = False Then : PPAA = "" : End If
    End Sub
    Private Sub ListBox1_SelectedIndexChanged(sender As Object, e As EventArgs) Handles ListBox1.SelectedIndexChanged
        If IsNothing(ListBox1.SelectedItem) = True Then : MsgBox(EER) : 有選擇 = False
        Else : PPAA = ListBox1.SelectedItem.ToString() : 有選擇 = True : Me.Close() : End If
    End Sub
End Class